%define url_ver	%(echo %{version}|cut -d. -f1,2)

Summary:	Evolution C# bindings for mono
Name:		evolution-sharp
Version:	0.21.1
Release:	%mkrel 15
Source0:	http://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.bz2
# (fc) fix eds detection (Fedora)
Patch0:		evolution-sharp-0.21.1-fix-retarded-version-check.patch
# (fc) fix eds major for eds >= 2.30.2
Patch1:		evolution-sharp-0.21.1-fix-eds-major.patch
Patch2:		evolution-sharp-0.21.1-glib.patch
Patch3:		evolution-sharp-0.21.1-automake-1.13.patch
Patch4:		evolution-sharp-0.21.1-fix-build.patch
License:	GPL
Group:		Development/Other
Url:		http://www.gnome.org
BuildRequires:	evolution-data-server-devel >= 1.5
BuildRequires:	mono-devel
BuildRequires:	gtk-sharp2
BuildRequires:	gtk-sharp2-devel
BuildRequires:	gnome-common
Requires:	evolution

%description
Evolution# is a .NET language binding for various Ximian Evolution (tm)
libraries.

%package devel
Summary:	Evolution C# bindings for mono
Group:		Development/Other
Requires:	%{name} = %{version}-%{release}

%description devel
Evolution# is a .NET language binding for various Ximian Evolution (tm)
libraries.

%prep
%setup -q
%patch0 -p1
%patch1 -p1 -b .fixmajor
%patch2 -p0
%patch3 -p1 -b .automake113
%patch4 -p1 -b .fix-build

%build
NOCONFIGURE=yes gnome-autogen.sh
%configure2_5x --disable-static
make

%install
rm -rf %{buildroot}
%makeinstall_std

#we don't want these
find %{buildroot} -name "*.la" -delete

%files
%doc README MAINTAINERS AUTHORS
%{_prefix}/lib/mono/evolution-sharp/
%{_prefix}/lib/mono/gac/evolution-sharp/
%{_libdir}/libevolutionglue.so

%files devel
%doc ChangeLog
%{_libdir}/pkgconfig/evolution-sharp.pc
%{_datadir}/gapi-2.0/evolution-api.xml


%changelog

* Fri Jan 11 2013 umeabot <umeabot> 0.21.1-15.mga3
+ Revision: 349807
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 10 2013 sander85 <sander85> 0.21.1-14.mga3
+ Revision: 344719
- Fix build

* Sat Nov 26 2011 wally <wally> 0.21.1-13.mga2
+ Revision: 172425
- rebuild for new evolution
- clean .spec a bit

* Sat Oct 29 2011 fwang <fwang> 0.21.1-12.mga2
+ Revision: 159555
- fix build with latest glib
- rebuild for new evo
- rebuild for new eds

  + dmorgan <dmorgan>
    - Rebuild against new evolution
      Clean spec file

* Tue Jun 21 2011 dmorgan <dmorgan> 0.21.1-9.mga2
+ Revision: 111603
- Rebuild against new evolution
- Rebuild against new evolution

* Fri Apr 08 2011 ennael <ennael> 0.21.1-7.mga1
+ Revision: 82306
- clean spec file
- imported package evolution-sharp

